Skip to content

Generate content for items

POST
/api/v1/projects/{project_id}/generate

Generates AI content for all pending non-variant items in the project using the specified provider, model, and AI settings. Records token usage and deducts XCT balance.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project_id*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"content_type": "string",
  
"content_variant": "short",
  
"language": "en",
  
"tone": "professional",
  
"ai_provider": "anthropic",
  
"ai_model": "string",
  
"custom_instructions": "string",
  
"max_short_chars": 200,
  
"max_long_chars": 1000,
  
"translate_name": true,
  
"use_html": true,
  
"use_html_short": false,
  
"generate_short": true,
  
"generate_long": true,
  
"image_analysis_enabled": false,
  
"image_analysis_count": 3,
  
"structured_data_enabled": false,
  
"generate_bullet_points": false,
  
"generate_attributes": false,
  
"generate_tags": false,
  
"item_ids": [
  
  
"string"
  
]
}

Responses

Successful Response

application/json
JSON
[
]

Playground

Server
Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

XC AI Content Automation